# Copyright 2022 OpenSynergy Indonesia
# Copyright 2022 PT. Simetri Sinergi Indonesia
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

{
    "name": "Risk Analysis",
    "version": "14.0.2.0.0",
    "website": "https://simetri-sinergi.id",
    "author": "OpenSynergy Indonesia, PT. Simetri Sinergi Indonesia",
    "license": "AGPL-3",
    "installable": True,
    "application": False,
    "depends": [
        "ssi_risk_management",
        "ssi_master_data_mixin",
        "ssi_transaction_confirm_mixin",
        "ssi_transaction_ready_mixin",
        "ssi_transaction_open_mixin",
        "ssi_transaction_done_mixin",
        "ssi_transaction_cancel_mixin",
        "ssi_transaction_terminate_mixin",
        "ssi_custom_information_mixin",
        "ssi_localdict_mixin",
    ],
    "data": [
        "security/ir_module_category_data.xml",
        "security/res_group_data.xml",
        "security/ir.model.access.csv",
        "security/ir_rule_data.xml",
        "data/ir_sequence_data.xml",
        "data/sequence_template_data.xml",
        "data/approval_template_data.xml",
        "data/policy_template_data.xml",
        "menu.xml",
        "views/risk_analysis_type_views.xml",
        "views/risk_analysis_result_views.xml",
        "views/risk_item_views.xml",
        "views/risk_analysis_views.xml",
        "views/risk_analysis_worksheet_views.xml",
        "views/risk_analysis_worksheet_type_views.xml",
    ],
    "demo": [
        "demo/risk_analysis_result_demo.xml",
        "demo/risk_item_demo.xml",
        "demo/risk_analysis_type_demo.xml",
        "demo/custom_info_option_demo.xml",
        "demo/custom_info_option_set_demo.xml",
        "demo/custom_info_property_demo.xml",
        "demo/custom_info_template_demo.xml",
        "demo/risk_analysis_worksheet_type_demo.xml",
    ],
}
